[panel] Invisible items in systray

Bug #703389 reported by jesusiniesta on 2011-01-15
54
This bug affects 9 people
Affects Status Importance Assigned to Milestone
unity-2d
Medium
Unassigned
unity-2d (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

[Test Case]
1. Make sure pidgin is installed
2. Make sure pidgin is whitelisted in DConf settings /desktop/unity/panel/systray-whitelist (e.g. using dconf-editor)
2. Run pidgin
   -> Verify that the pidgin icon is visible in the notification area

[Regression Potential]
No regression potential that we can think of.

Original description:

When pidgin is running, its icon in the notification area is invisible. It's there, and I can click that empty space as it was the pidgin icon, but i can't see it. Other icons do show there, as the nm-applet or emesene.

This only happens with unity 2d. Works perfectly with gnome-panel.

PD: Here's a shot: http://i.imgur.com/VVBA7.png

Related branches

jesusiniesta (jesus-iniesta) wrote :

It doesn't happen in the previous compiz-based unity. I'm running 10.10 Desktop.

description: updated
Changed in unity-2d:
assignee: nobody → Aurélien Gâteau (agateau)
Florian Boucault (fboucault) wrote :

Hello jminiesta, thanks for reporting that bug. I can reproduce it on my Ubuntu 10.10 installation.

Changed in unity-2d:
assignee: Aurélien Gâteau (agateau) → nobody
importance: Undecided → High
status: New → Confirmed
summary: - [panel] Invisible Pidgin icon
+ [panel] Invisible Pidgin icon in systray

It also affects gnome-do, but doesn't affect parcellite here.

Changed in unity-2d:
assignee: nobody → Aurélien Gâteau (agateau)
Changed in unity-2d:
milestone: none → 3.4
Changed in unity-2d:
milestone: 3.4 → 3.8
summary: - [panel] Invisible Pidgin icon in systray
+ [panel] Invisible items in systray
tags: added: maverick-delta
Changed in unity-2d:
status: Confirmed → In Progress
Changed in unity-2d:
status: In Progress → Fix Committed
Changed in unity-2d:
status: Fix Committed → Fix Released
pools (pavel-klimunda) wrote :

Hi, I am still having this problem in unity-2d-3.8.4...

Olivier Tilloy (osomon) wrote :

@pools: are you able to tell what icons are invisible? That would help a lot in identifying and fixing the issue.

pools (pavel-klimunda) wrote :

just pidgin, skype, clementine and hptoolbox are OK

Olivier Tilloy (osomon) wrote :

Confirmed, pidgin’s icon is there but invisible. This is with unity-2d 3.8.2-0ubuntu1.

Changed in unity-2d:
milestone: 3.8 → 3.10
status: Fix Released → Confirmed
Olivier Tilloy (osomon) wrote :

Some information of what is happening with pidgin (2.7.11 currently in Natty): the first call to XGetImage in X11EmbedContainer::paintEvent(…) with dimensions 24×24 fails (as explained by the comment), but then the second call is also issued with dimensions 24×24, it logically fails too. This is because the size of the embedded window (d->attr.width × d->attr.height) is 200×200, not 16×16 as expected.

Interestingly, if the panel is killed and restarted while pidgin is running, the 16×16 icon now appears correctly. It looks like the size of the embedded window changes, from an initial value of 200×200 to 24×24, then 22×22, then 16×16. d->attr needs to be updated accordingly, probably in X11EmbedContainer::paintEvent(…).

Olivier Tilloy (osomon) wrote :

Lowering the importance to medium, as in the specific case of pidgin (which seems to be the only problematic systray-embedded application) it is already integrating in the messaging menu, and the systray icon is never shown with the default settings anyway.

Changed in unity-2d:
assignee: Aurélien Gâteau (agateau) → nobody
importance: High → Medium
Changed in unity-2d:
milestone: 3.10 → none
Didier Roche (didrocks) on 2011-05-31
Changed in unity-2d (Ubuntu):
status: New → Confirmed
Valsin (valsin) wrote :

AGAIN pidgin icon system tray invisible. Please FIX Unity 3D / Unity 2D

Unity 2D 4.14 ppa daily.
Ubuntu 11.10
Pidgin 2.10
Whitelist Unity panel - test Pidgin, pidgin, all. nothing works :-(

Changed in unity-2d:
status: Confirmed → New
Changed in unity-2d (Ubuntu):
status: Confirmed → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-2d (Ubuntu):
status: New → Confirmed
V. Bakayev (vbakayev) wrote :

confirmed with unity-2d (5.8.0-0ubuntu1)

Albert Astals Cid (aacid) wrote :

Hi guys, I'm trying on precise (12.04) and from what i can see Pidgin now appears under the message indicator and not as a separate indicator, can you confirm it works for you under precise (that will be released very soon)

Changed in unity-2d:
status: New → Incomplete
Changed in unity-2d (Ubuntu):
status: Confirmed → Incomplete
Gremlyn1 (gremlyn1) wrote :

I'm having this issue under 12.04 with the Pidgin icon being invisible. Although the Status works for me with Pidgin through the messaing menu, none of the other aspects of Pidgin are available through that menu for me.

Albert Astals Cid (aacid) wrote :

Gremlyn1: Are you sure it's being invisible (look at the attachments in this bug)? I would say it is simply not there by design because it has a messaging indicator entry.

Gremlyn1 (gremlyn1) wrote :

I can click where it should be and bring up the buddy list window, so yes I'd say it's invisible rather than missing entirely. It isn't properly integrating into the messaging menu either for me, as it doesn't give me any way to bring up the buddy list window...but that is a different bug I think.

Gremlyn1 (gremlyn1) wrote :

I should also add that the icon WILL show up on the systray under Unity 3D, but does not under Unity 2D. Skype will show up on both with no problems. I manually enabled both icons to show up in the systray as I could not get either to integrate properly with the messaging menu (I would love for the messaging menu to take over on this, though).

Gremlyn1 (gremlyn1) wrote :

Anyone else? Word on a potential fix to try?

chuinker (corey-corlogic) wrote :

I'm also experiencing this on both a 12.04 clean install and another machine upgraded from 11.10. The icon is invisible, but can be activated by left/right clicking the space where the icon should be. If you change the desktop theme to High Contrast, you can plainly see a dark gray square where the icon should be.

I have also noticed that doing a killall unity-2d-panel will cause the pidgin icon to display properly, but this does not always work, and the problem reoccurs if pidgin is stopped and restarted.

Gremlyn1 (gremlyn1) wrote :

chuinker, thanks for the tip on the killall unity-2d-panel, I just did it and it worked to bring my icon back for now. The icon, however, does not look right. It appears to be too small - at least compared to what it used to look like under 10.04.

Albert Astals Cid (aacid) wrote :

Can you guys post a screenshot of how it looks like once pidgin is in the panel? I have no way to put it there.

Also can you please post the output of doing these command in a terminal?
dpkg -l | grep pidgin
dpkg -l | grep messages
ps -A | grep unity

vadimo (michalgejdos-azet) wrote :

michal@Asus:~$ dpkg -l | grep pidgin
ii pidgin 1:2.10.3-0ubuntu1 graphical multi-protocol instant messaging client for X
ii pidgin-data 1:2.10.3-0ubuntu1 multi-protocol instant messaging client - data files
ii pidgin-libnotify 0.14-4ubuntu10 display notification bubbles in pidgin
ii pidgin-plugin-pack 2.6.3-2 Collection of Pidgin plugins

michal@Asus:~$ dpkg -l | grep messages
ii libgpg-error0 1.10-2ubuntu1 library for common error values and messages in GnuPG components
ii libgpg-error0:i386 1.10-2ubuntu1 library for common error values and messages in GnuPG components
ii libgphoto2-l10n 2.4.13-1ubuntu1 gphoto2 digital camera library - localized messages
ii libhttp-message-perl 6.01-1 perl interface to HTTP style messages
ii libindicator-messages-status-provider1 0.6.0-0ubuntu1 indicator status provider - shared library

michal@Asus:~$ ps -A | grep unity
12386 ? 00:00:06 unity-2d-panel
12387 ? 00:00:26 unity-2d-shell
12468 ? 00:00:04 unity-panel-ser
12604 ? 00:00:00 unity-applicati
12607 ? 00:00:00 unity-music-dae
12608 ? 00:00:00 unity-files-dae
12610 ? 00:00:00 unity-lens-vide
12684 ? 00:00:00 unity-musicstor
12697 ? 00:00:00 unity-scope-vid
14002 ? 00:00:03 unity-2d-spread

Gremlyn1 (gremlyn1) wrote :

dpkg -l | grep pidgin
ii indicator-status-provider-pidgin 0.6.0-0ubuntu1 indicator-messages status provider for pidgin
ii pidgin 1:2.10.3-0ubuntu1 graphical multi-protocol instant messaging client for X
ii pidgin-data 1:2.10.3-0ubuntu1 multi-protocol instant messaging client - data files
ii pidgin-libnotify 0.14-4ubuntu10 display notification bubbles in pidgin
ii pidgin-skype 20110407+svn612+dfsg-1.1 Skype plugin for libpurple messengers

dpkg -l | grep messages
ii indicator-messages 0.6.0-0ubuntu1 indicator that collects messages that need a response
ii indicator-status-provider-mc5 0.6.0-0ubuntu1 indicator-messages status provider for telepathy mission-control-5
ii indicator-status-provider-pidgin 0.6.0-0ubuntu1 indicator-messages status provider for pidgin
ii libgpg-error0 1.10-2ubuntu1 library for common error values and messages in GnuPG components
ii libgpg-error0:i386 1.10-2ubuntu1 library for common error values and messages in GnuPG components
ii libgphoto2-l10n 2.4.13-1ubuntu1 gphoto2 digital camera library - localized messages
ii libhttp-message-perl 6.01-1 perl interface to HTTP style messages
ii libindicator-messages-status-provider1 0.6.0-0ubuntu1 indicator status provider - shared library

ps -A | grep unity
 2198 ? 00:16:08 unity-2d-shell
 2270 ? 00:03:05 unity-panel-ser
 2403 ? 00:00:17 unity-applicati
 2405 ? 00:00:08 unity-files-dae
 2407 ? 00:00:03 unity-music-dae
 2409 ? 00:00:01 unity-lens-vide
 2501 ? 00:00:00 unity-musicstor
 2561 ? 00:00:01 unity-scope-vid
 2768 ? 00:00:33 unity-2d-spread
10545 ? 00:02:29 unity-2d-panel

Gremlyn1 (gremlyn1) wrote :

Interesting that between vadimo's screenshot and info and mine that 'indicator-status-provider-pidgin' is missing for his (and his icon is missing), but after running the killall unity-2d-panel, 'indicator-status-provider-pidgin' shows up.

Albert Astals Cid (aacid) wrote :

I can't reproduce neither of the screenshots with neither of the setups :/

One more thing, what is the result of executing
dconf read /com/canonical/unity-2d/panel/applets
in a terminal?

vadimo (michalgejdos-azet) wrote :

Nothing.

michal@Asus:~$ dconf read /com/canonical/unity-2d/panel/applets
michal@Asus:~$

(My system is 12.04 LTS 64bit)

Albert Astals Cid (aacid) wrote :

Then i have no clue since we seem to have the same package s installed and the same conf and i can't get your behaviour :_/

vadimo (michalgejdos-azet) wrote :

I have too removed these packages:
indicator-messages appmenu-gtk3 appmenu-gtk appmenu-qt firefox-globalmenu thunderbird-globalmenu

And in dconf-editor /desktop/unity/panel/systray-whitelist 'all'

Albert Astals Cid (aacid) wrote :

Ahh, the whitelist thing helped!

Working on a fix

Changed in unity-2d:
status: Incomplete → In Progress
assignee: nobody → Albert Astals Cid (aacid)
Changed in unity-2d (Ubuntu):
status: Incomplete → Confirmed
Gerry Boland (gerboland) on 2012-05-30
Changed in unity-2d:
milestone: none → 5.12.1
description: updated
description: updated
Changed in unity-2d:
status: In Progress → Fix Committed
description: updated
description: updated
Gremlyn1 (gremlyn1) wrote :

When can we expect this fix to make it to a stable release of unity-2d? I only ask because if it has been included in a recent release, then it is still not working.

asgard2 (kamp000x) wrote :

I added pigin to the whitelist
gsettings set com.canonical.Unity.Panel systray-whitelist "['JavaEmbeddedFrame', 'Mumble', 'Wine', 'Skype', 'hp-systray', 'pidgin']"

Pidgin is in the panel, but it is invisible.
How can I fix that?
http://www.xup.in/dl,19664450/Bildschirmfoto_vom_2012-07-30_11:27:32.png/
http://www.xup.in/dl,20775019/Bildschirmfoto_vom_2012-07-30_10:04:32.png/

dpkg -l | grep pidgin
ii indicator-status-provider-pidgin 0.6.0-0ubuntu1 indicator-messages status provider for pidgin
ii pidgin 1:2.10.3-0ubuntu1.1 graphical multi-protocol instant messaging client for X
ii pidgin-data 1:2.10.3-0ubuntu1.1 multi-protocol instant messaging client - data files
ii pidgin-libnotify 0.14-4ubuntu10 display notification bubbles in pidgin
ii pidgin-otr 3.2.0-5ubuntu0.12.04.1 Off-the-Record Messaging plugin for pidgin

$ dpkg -l | grep messages
ii indicator-messages 0.6.0-0ubuntu1 indicator that collects messages that need a response
ii indicator-status-provider-mc5 0.6.0-0ubuntu1 indicator-messages status provider for telepathy mission-control-5
ii indicator-status-provider-pidgin 0.6.0-0ubuntu1 indicator-messages status provider for pidgin
ii libgpg-error0 1.10-2ubuntu1 library for common error values and messages in GnuPG components
ii libgphoto2-l10n 2.4.13-1ubuntu1.2 gphoto2 digital camera library - localized messages
ii libindicator-messages-status-provider1 0.6.0-0ubuntu1 indicator status provider - shared library

$ ps -A | grep unity
 2773 ? 00:00:10 unity-2d-panel
 2774 ? 00:00:30 unity-2d-shell
 2848 ? 00:00:11 unity-panel-ser
 2919 ? 00:00:01 unity-applicati
 2922 ? 00:00:00 unity-files-dae
 2925 ? 00:00:00 unity-music-dae
 2926 ? 00:00:00 unity-lens-vide
 2990 ? 00:00:00 unity-scope-vid
 2992 ? 00:00:00 unity-musicstor
 4360 ? 00:00:03 unity-2d-spread

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-2d (Ubuntu Precise):
status: New → Confirmed
asgard2 (kamp000x) wrote :

Hi,
I think I found a solution. The file "prefs.xml" in the .purple folder caused this bug. I deleted the file and now I have the pidgin messenger under the letter box in the unity panel. :)

I used the pidgin profile under windows once. Maybe the this caused the bug in unity?

Regards,
asgard2

Changed in unity-2d:
milestone: 5.12.1 → 5.14
Changed in unity-2d (Ubuntu):
status: Confirmed → Fix Released
Changed in unity-2d:
assignee: Albert Astals Cid (aacid) → nobody
Gremlyn1 (gremlyn1) wrote :

Should this fix has made its way to the general public yet? My system still has this problem (12.04).

Gerry Boland (gerboland) wrote :

@gremlyn1: if you still have this bug, and none of the suggestions above work (i.e. in case pidgin is to blame), please reopen this bug.

Note that it's unlikely to be fixed however: unity-2d is not being worked on any more, and only security fixes will be considered. Apologies

Gremlyn1 (gremlyn1) wrote :

Hi Gerry, thanks for the quick reply. I had forgotten than unity-2d was dropped in 12.10. I saw that a fix was committed for this bug, though it seems to be in v5.14 and currently my system has v5.12. Will 5.14 still be released? If so, I'll wait for that to drop and see if it is fixed before reopening. If not, is there any way I can get a patch of the committed fix to apply?

Hello jesusiniesta, or anyone else affected,

Accepted unity-2d into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity-2d/5.14.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-2d (Ubuntu Precise):
status: Confirmed → Fix Committed
tags: added: verification-needed
abhipray (kanuworkid) wrote :

The fix is working for me.

abhipray (kanuworkid) on 2013-03-15
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 5.14.0-0ubuntu1

---------------
unity-2d (5.14.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release (LP: #1060262):
    - [Launcher] [Multi-monitor] Removing a non running app tile from a
      launcher should remove it from all (LP: #988739)
    - Panel Titlebar double click is emitted for any mouse button (LP: #736491)
    - Launcher does not hide if shown while dragging a file (LP: #1002308)
    - icon isn't reset when clearing the search query (LP: #973225)
    - Issue when ejecting busy device from the Unity 2D Shell (LP: #997786)
    - Sticky edges don't work in RTL (LP: #984092)
    - pips are not correctly updated when plugin in a second monitor
      (LP: #1003943)
    - [dash] Unable to maximize (LP: #918648)
    - all panels have same window focus on multiple monitors unity2d
      (LP: #930147)
    - Dash will not open files under Greek folders (LP: #1002710)
    - Launcher does not respond to changes in icon theme (LP: #605475)
    - [panel] Invisible items in systray (LP: #703389)
    - [panel] Ignores "enabled" property on top-level menus (LP: #850017)
  * Reverted some quantal-specific commits which are no longer relevant
 -- Lukasz 'sil2100' Zemczak <email address hidden> Tue, 30 Oct 2012 09:59:49 +0100

Changed in unity-2d (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers